Package it.ernytech.tdlib

## Class TdApi.AddStickerToSet

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AddStickerToSet

Enclosing class:
  TdApi

    public static class TdApi.AddStickerToSet
    extends TdApi.Function

Adds a new sticker to a set; for bots only. Returns the sticker set.

Returns `StickerSet`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `name` Sticker set name.
`TdApi.InputSticker` `sticker` Sticker to add to the set.
`int` `userId` Sticker set owner.

### Constructor Summary

Constructors
`AddStickerToSet()` Default constructor.
`AddStickerToSet​(int userId, java.lang.String name, TdApi.InputSticker sticker)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### userId

    public int userId

Sticker set owner.

#### name

    public java.lang.String name

Sticker set name.

#### sticker

    public TdApi.InputSticker sticker

Sticker to add to the set.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AddStickerToSet

    public AddStickerToSet()

Default constructor.

#### AddStickerToSet

    public AddStickerToSet​(int userId,
                           java.lang.String name,
                           TdApi.InputSticker sticker)

Constructor for initialization of all fields.

Parameters:
  `userId` - Sticker set owner.
  `name` - Sticker set name.
  `sticker` - Sticker to add to the set.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR